comedi_get_read_subdevice
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_read_subdevice — find streaming input subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_get_read_subdevice(` | comedi_t * device`)`;

## Description

The function `comedi_get_read_subdevice` returns the index of the subdevice whose streaming input buffer is currently accessible through the device `device`, if there is one.

## Return value

On success, `comedi_get_read_subdevice`returns the index of the current “read” subdevice if there is one, or `-1` if there is no “read” subdevice. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_max_buffer_size | Home | comedi_get_write_subdevice